| TagLib 1.13 |  |

Public Types | Public Member Functions | List of all members
TagLib::MP4::CoverArt Class Reference

`#include <mp4coverart.h>`

## Public Types
enum | Format { JPEG = TypeJPEG , PNG = TypePNG , BMP = TypeBMP , GIF = TypeGIF , Unknown = TypeImplicit }

## Public Member Functions
| CoverArt (Format format, const ByteVector &data)
| ~CoverArt ()
| CoverArt (const CoverArt &item)
CoverArt & | operator= (const CoverArt &item)
void | swap (CoverArt &item)
Format | format () const
| Format of the image. More...
ByteVector | data () const
| The image data. More...

## Member Enumeration Documentation

## ◆ Format

enum TagLib::MP4::CoverArt::Format

This describes the image type.

Enumerator
JPEG |
PNG |
BMP |
GIF |
Unknown |

## Constructor & Destructor Documentation

## ◆ CoverArt() [1/2]

TagLib::MP4::CoverArt::CoverArt | ( | Format | format,
|  | const ByteVector & | data
| ) |  |

## ◆ ~CoverArt()

TagLib::MP4::CoverArt::~CoverArt | ( |  | ) |

## ◆ CoverArt() [2/2]

TagLib::MP4::CoverArt::CoverArt | ( | const CoverArt & | item | ) |

## Member Function Documentation

## ◆ data()

ByteVector TagLib::MP4::CoverArt::data | ( |  | ) | const

The image data.

## ◆ format()

Format TagLib::MP4::CoverArt::format | ( |  | ) | const

Format of the image.

## ◆ operator=()

CoverArt & TagLib::MP4::CoverArt::operator= | ( | const CoverArt & | item | ) |

Copies the contents of item into this CoverArt.

## ◆ swap()

void TagLib::MP4::CoverArt::swap | ( | CoverArt & | item | ) |

Exchanges the content of the CoverArt by the content of item.

The documentation for this class was generated from the following file:

- mp4coverart.h